Name:		jovie
Summary:	KTTS - KDE Text-to-Speech
Version: 4.9.3
Release: 1
Epoch:		2
Group:		Graphical desktop/KDE
License:	LGPLv2
URL:		http://www.kde.org/
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	speech-dispatcher-devel
BuildRequires:	libespeak-devel
Obsoletes:	kdeaccessibility4-core < 2:4.5.71
Obsoletes:	kdeaccessibility4 < 2:4.5.71
Obsoletes:	kttsd < 2:4.5.71

%description
Jovie is a subsystem within the KDE desktop for
conversion of text to audible speech. Jovie is currently under development
and aims to become the standard subsystem for all KDE applications
to provide speech output.
User Features:
 * Speak any text from the KDE clipboard.
 * Speak any plain text file.
 * Speak all or any portion of a text file from Kate.
 * Speak all or any portion of an HTML page from Konqueror.
 * Use as the speech backend for KMouth and KSayIt.
 * Speak KDE notifications (KNotify).
 * Long text is parsed into sentences. User may backup by sentence or
    paragraph, replay, pause, and stop playing.
 * Audio output via GStreamer (version 0.8.7 or later)

%files
%doc %{_kde_docdir}/HTML/en/jovie
%{_kde_bindir}/jovie
%{_kde_applicationsdir}/jovieapp.desktop
%{_kde_libdir}/kde4/kcm_kttsd.so
%{_kde_libdir}/kde4/jovie_stringreplacerplugin.so
%{_kde_libdir}/kde4/jovie_talkerchooserplugin.so
%{_kde_libdir}/kde4/jovie_xmltransformerplugin.so
%{_kde_appsdir}/jovie
%{_kde_appsdir}/kttsd
%{_kde_iconsdir}/*/*/actions/female.png
%{_kde_iconsdir}/*/*/actions/male.png
%{_kde_iconsdir}/*/*/actions/nospeak.png
%{_kde_iconsdir}/*/*/actions/speak.png
%{_kde_services}/jovie.desktop
%{_kde_services}/jovie_stringreplacerplugin.desktop
%{_kde_services}/jovie_talkerchooserplugin.desktop
%{_kde_services}/jovie_xmltransformerplugin.desktop
%{_kde_services}/kcmkttsd.desktop
%{_kde_services}/kttsd.desktop
%{_kde_servicetypes}/jovie_filterplugin.desktop

#-----------------------------------------------------------------------------

%define kttsd_major 4
%define libkttsd %mklibname kttsd %{kttsd_major}

%package -n %{libkttsd}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkttsd}
KDE 4 library.

%files -n %{libkttsd}
%{_kde_libdir}/libkttsd.so.%{kttsd_major}*

#---------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/KDE and Qt
Requires:	kdelibs4-devel
Requires:	%{libkttsd} = %{EVRD}

%description  devel
Files needed to build applications based on %{name}.

%files devel
%{_kde_libdir}/libkttsd.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 2:4.9.3-1
+ Revision: 822152
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 2:4.9.2-1
+ Revision: 818285
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 2:4.9.0-1
+ Revision: 811810
- New release

  + Andrey Bondrov <abondrov@mandriva.org>
    - Adjust spec cosmetics, add some Obsoletes

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 2:4.8.97-1
+ Revision: 809423
- New release

* Sat Jun 09 2012 Crispin Boylan <crisb@mandriva.org> 2:4.8.4-1
+ Revision: 803771
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 2:4.8.3-1
+ Revision: 796332
- New release

* Thu Apr 19 2012 Crispin Boylan <crisb@mandriva.org> 2:4.8.2-1
+ Revision: 792075
- New release

* Thu Apr 05 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.8.1-1
+ Revision: 789430
- New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.8.0-1
+ Revision: 762445
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.97-1
+ Revision: 758036
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.95-1
+ Revision: 744512
- New upstream tarball

* Fri Dec 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.90-1
+ Revision: 739348
- New upstream tarball

* Wed Nov 30 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.80-1
+ Revision: 735553
- imported package jovie

